package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 09 15 43
 **/
public class GoodsTransitDto {

    private Long id;

    /**
     * 商户编号
     */
    private String merchantId;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商品类型
     */
    private String goodsType;
    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 海关商品表主键
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品单位(吨、kg、个、柜)
     */
    private String goodsUnits;

    /** 互市区名称 */
    private String tradeAreaName;

    /** 互市区ID */
    private Long tradeAreaId;

    /**
     * 净重
     */
    private Double netWeight;

    /**
     * 毛重
     */
    private Double grossWeight;

    /**
     * 商品价格
     */
    private Double price;

    /**
     * 海关申报单号
     */
    private String declareOdd;

    /**
     * 产地(国家)
     */
    private String placeOrigin;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 库存数量
     */
    private Integer stock;

    /**
     * 商品状态(0=下架,1=在售)
     */
    private Integer goodsStatus;

    /**
     * 审核状态(0=待审核,1=通过,2=不通过)
     */
    private Integer auditStatus;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditTime;

    /**
     * 审核意见
     */
    private String remark;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private String updateBy;

    /**
     * 更新人名称
     */
    private String updateName;
    /**
     * 商铺名称
     */
    private String shopName;
    /**
     * 商铺ID
     */
    private Long shopId;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 是否已被下单[0=未被下单,1=已被下单]
     */
    private Integer isOrders;

    /**
     * 商铺确认情况[0=待确认,1=已确认,2=拒绝]
     */
    private Integer enterpriseConfirm;

    public GoodsTransitDto(Long id, String merchantId, String merchantName, String goodsType, String goodsImg, Long goodsId, String goodsName, String goodsUnits, String tradeAreaName, Long tradeAreaId, Double netWeight, Double grossWeight, Double price, String declareOdd, String placeOrigin, String description, Integer stock, Integer goodsStatus, Integer auditStatus, Date auditTime, String remark, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, String shopName, Long shopId, Integer deleteStatus, Integer isOrders, Integer enterpriseConfirm) {
        this.id = id;
        this.merchantId = merchantId;
        this.merchantName = merchantName;
        this.goodsType = goodsType;
        this.goodsImg = goodsImg;
        this.goodsId = goodsId;
        this.goodsName = goodsName;
        this.goodsUnits = goodsUnits;
        this.tradeAreaName = tradeAreaName;
        this.tradeAreaId = tradeAreaId;
        this.netWeight = netWeight;
        this.grossWeight = grossWeight;
        this.price = price;
        this.declareOdd = declareOdd;
        this.placeOrigin = placeOrigin;
        this.description = description;
        this.stock = stock;
        this.goodsStatus = goodsStatus;
        this.auditStatus = auditStatus;
        this.auditTime = auditTime;
        this.remark = remark;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.shopName = shopName;
        this.shopId = shopId;
        this.deleteStatus = deleteStatus;
        this.isOrders = isOrders;
        this.enterpriseConfirm = enterpriseConfirm;
    }

    public GoodsTransitDto() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsUnits() {
        return goodsUnits;
    }

    public void setGoodsUnits(String goodsUnits) {
        this.goodsUnits = goodsUnits;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public Double getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(Double netWeight) {
        this.netWeight = netWeight;
    }

    public Double getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(Double grossWeight) {
        this.grossWeight = grossWeight;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getDeclareOdd() {
        return declareOdd;
    }

    public void setDeclareOdd(String declareOdd) {
        this.declareOdd = declareOdd;
    }

    public String getPlaceOrigin() {
        return placeOrigin;
    }

    public void setPlaceOrigin(String placeOrigin) {
        this.placeOrigin = placeOrigin;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getGoodsStatus() {
        return goodsStatus;
    }

    public void setGoodsStatus(Integer goodsStatus) {
        this.goodsStatus = goodsStatus;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getIsOrders() {
        return isOrders;
    }

    public void setIsOrders(Integer isOrders) {
        this.isOrders = isOrders;
    }

    public Integer getEnterpriseConfirm() {
        return enterpriseConfirm;
    }

    public void setEnterpriseConfirm(Integer enterpriseConfirm) {
        this.enterpriseConfirm = enterpriseConfirm;
    }
}
